# Change a bring-your-own provider

PATCH /v1/byo-providers/{id}: Change a bring-your-own provider

```http
PATCH /v1/byo-providers/{id}
```

|  |  |
|---|---|
| Operation id | `updateByoProvider` |
| Key scope | `admin`: admin keys only |
| Section | [BYO providers](https://docs.kaab.ist/reference/api#byo-providers) |

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string | yes | pattern `^byo_[0-9a-hjkmnp-tv-z]{26}$` |

## Request body

| Field | Type | Required | Description |
|---|---|---|---|
| `name` | string |  | min length 1 · max length 64 |
| `config` | map of any |  |  |

## Example request

```bash
curl -X PATCH "https://api.kaab.ist/v1/byo-providers/{id}" \
  -H "Authorization: Bearer $KAAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"renamed"}'
```

## Responses

### 200

Provider

[ByoProvider](https://docs.kaab.ist/reference/api/schemas/byo-provider)

```json
{
  "id": "byo_01j9zqk3q7m4n5p6r7s8t9v0wx",
  "object": "byo_provider",
  "kind": "proxy",
  "name": "my-bright-data",
  "status": "healthy",
  "last_health_at": "2026-09-18T10:00:00Z",
  "config_public": {
    "vendor": "brightdata",
    "pool": "residential"
  },
  "created_at": "2026-09-18T10:00:00Z"
}
```

## Errors

Every error answers with the [error envelope](https://docs.kaab.ist/reference/api/schemas/error-response); its `code` is one of the [error codes](https://docs.kaab.ist/reference/codes#errors).

| Status | When |
|---|---|
| 400 | `request_invalid`: request validation failed |
| 401 | Missing or invalid API key |
| 402 | `insufficient_credits`: top up to continue |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 409 | Conflicting state (see `error.code`) |
| 422 | Semantically invalid request (see `error.code`) |
| 429 | Rate limited; see `Retry-After` |
| 500 | `internal`: unexpected server error |
